Get PayIn details
This API allows you to fetch the detail of a specific payment link. You can use the UUID to retrieve the detail of payment link.
curl --request GET \
--url https://api.cleverhub.co/api/v3/payin_links/{uuid} \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v3/payin_links/{uuid}"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v3/payin_links/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "7AMCEF7H",
"expires_at": "2025-10-02T19:05:03.971Z",
"payment_url": "https://paylink.cleverhub.co/N0FNQ0VGNAD",
"payin_method_code": "vn_vietqr_vnd",
"amount": 3000,
"description": "Test payin",
"external_id": "123456",
"redirect_url": {
"success": "https://example.com/success"
},
"webhook_notification": {
"authorization_header": "****",
"endpoint_url": "https://example.com/webhook"
},
"sender_info": {
"dob": "1990-01-01",
"city": "Ho Chi Minh City",
"email": "email@gmail.com",
"phone": "0123456789",
"state": "Ho Chi Minh",
"gender": "male",
"reg_no": "A1234567",
"upi_id": "johndoe@upi",
"address": "123 abc",
"user_id": "user_12345",
"bank_code": "VCB",
"bank_name": "Bank VCB",
"first_name": "John",
"last_name": "Doe",
"state_code": "SG",
"postal_code": "700000",
"account_name": "John Doe",
"contact_type": "individual",
"country_code": "VN",
"document_type": "passport",
"account_number": "233240000000",
"document_number": "P123456789"
},
"metadata": {
"custom_note": "Priority customer"
},
"transaction_info": {
"uuid": "3D8G9WJJ",
"currency": "VND",
"amount": 3000,
"paid_amount": 0,
"refund_amount": 0,
"status": "pending",
"status_text": "Customer started a new payment but hasn't proceeded yet."
}
}{
"errors": {
"code": "REQUIRE_LOGIN",
"message": "Not Authorised"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Path Parameters
Unique identifier for the payment transaction.
Response
OK
Unique identifier for the payment transaction.
Expiration time (ISO 8601 UTC) of the payment link.
URL of the payment link.
Code of the selected payment method.
Original payment amount.
Description of the payment transaction.
Custom ID.
Show child attributes
Show child attributes
Webhook configuration for transaction status updates
Show child attributes
Show child attributes
Information about the customer.
Show child attributes
Show child attributes
Optional custom metadata to attach to the transaction.
Information about the transaction.
Show child attributes
Show child attributes
